## GtkListItem GtkListItem — An item in a GtkList |

## Functions

GtkWidget * | gtk_list_item_new ()
GtkWidget * | gtk_list_item_new_with_label ()
void | gtk_list_item_select ()
void | gtk_list_item_deselect ()

## Signals

void | end-selection | Action
void | extend-selection | Action
void | scroll-horizontal | Action
void | scroll-vertical | Action
void | select-all | Action
void | start-selection | Action
void | toggle-add-mode | Action
void | toggle-focus-row | Action
void | undo-selection | Action
void | unselect-all | Action

## Types and Values

struct | GtkListItem

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkObject
                ╰── GtkWidget
                    ╰── GtkContainer
                        ╰── GtkBin
                            ╰── GtkItem
                                ╰── GtkListItem

## Implemented Interfaces

GtkListItem implements AtkImplementorIface and GtkBuildable.

## Includes

    #include <gtk/gtk.h>

## Description

The GtkListItem widget is used for each item in a GtkList.

GtkList has has been deprecated since GTK+ 2.0 and should not be used in newly written code. Use GtkTreeView instead.

## Functions

### gtk_list_item_new ()

    GtkWidget *
    gtk_list_item_new (void);

`gtk_list_item_new` is deprecated and should not be used in newly-written code.

Creates a new GtkListitem.

#### Returns

a new GtkListItem.

### gtk_list_item_new_with_label ()

    GtkWidget *
    gtk_list_item_new_with_label (const gchar *label);

`gtk_list_item_new_with_label` is deprecated and should not be used in newly-written code.

Creates a new GtkListItem with a child label containing the given string.

#### Parameters

label | the string to use for the child label. |

#### Returns

a new GtkListItem with a child GtkLabel with the text set to `label` .

### gtk_list_item_select ()

    void
    gtk_list_item_select (GtkListItem *list_item);

`gtk_list_item_select` is deprecated and should not be used in newly-written code.

Selects the item, by emitting the item's "select" signal. Depending on the selection mode of the list, this may cause other items to be deselected.

#### Parameters

list_item | a GtkListItem. |

### gtk_list_item_deselect ()

    void
    gtk_list_item_deselect (GtkListItem *list_item);

`gtk_list_item_deselect` is deprecated and should not be used in newly-written code.

Deselects the item, by emitting the item's "deselect" signal.

#### Parameters

list_item | a GtkListItem. |

## Types and Values

### struct GtkListItem

    struct GtkListItem;

`GtkListItem` is deprecated and should not be used in newly-written code.

The GtkListItem struct contains private data only, and should only be accessed using the functions below.

## Signal Details

### The `“end-selection”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“extend-selection”` signal

    void
    user_function (GtkListItem  *listitem,
                   GtkScrollType arg1,
                   gfloat        arg2,
                   gboolean      arg3,
                   gpointer      user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“scroll-horizontal”` signal

    void
    user_function (GtkListItem  *listitem,
                   GtkScrollType arg1,
                   gfloat        arg2,
                   gpointer      user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“scroll-vertical”` signal

    void
    user_function (GtkListItem  *listitem,
                   GtkScrollType arg1,
                   gfloat        arg2,
                   gpointer      user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“select-all”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“start-selection”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“toggle-add-mode”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“toggle-focus-row”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“undo-selection”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

### The `“unselect-all”` signal

    void
    user_function (GtkListItem *listitem,
                   gpointer     user_data)

#### Parameters

listitem | the object which received the signal. |
user_data | user data set when the signal handler was connected. |

Flags: Action

## See Also

GtkList | the parent list widget.